commit: 8887b0e45e5c2accd150920bbf876b86e65d402b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 15 11:39:12 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Feb 15 11:39:12 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8887b0e4
dev-python/python-jose: Remove upstream dep pins, optimize testing
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../{python-jose-3.4.0.ebuild => python-jose-3.4.0-r1.ebuild} | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)
diff --git a/dev-python/python-jose/python-jose-3.4.0.ebuild
b/dev-python/python-jose/python-jose-3.4.0-r1.ebuild
similarity index 87%
rename from dev-python/python-jose/python-jose-3.4.0.ebuild
rename to dev-python/python-jose/python-jose-3.4.0-r1.ebuild
index 76e1694272b7..af32d7ee44cf 100644
--- a/dev-python/python-jose/python-jose-3.4.0.ebuild
+++ b/dev-python/python-jose/python-jose-3.4.0-r1.ebuild
@@ -38,5 +38,12 @@ distutils_enable_sphinx docs
python_prepare_all() {
distutils-r1_python_prepare_all
- sed -e '/addopts/d' -i setup.cfg || die
+
+ # unpin dependencies
+ sed -i -e 's:, <[0-9.]*::' setup.cfg || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts=
}